﻿using System;
using System.Globalization;

namespace ResourceExample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Change current UI culture to French
            System.Threading.Thread.CurrentThread.CurrentUICulture = new CultureInfo("fr-FR");

            //To get a string, we may use strongly typed resources
            Console.WriteLine(Resource.SomeLocalisedString);

            //Or we can use more complex and not so safe way
            System.Resources.ResourceManager rm = new System.Resources.ResourceManager(typeof(Resource));
            string germanString = rm.GetString("SomeLocalisedString", new CultureInfo("de-DE"));
            Console.WriteLine(germanString);
            
            Console.ReadLine();
        }
    }
}
